summaryrefslogtreecommitdiff
path: root/dev-python/python-ly
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-ly')
-rw-r--r--dev-python/python-ly/Manifest1
-rw-r--r--dev-python/python-ly/python-ly-0.9.10.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/python-ly/Manifest b/dev-python/python-ly/Manifest
index 18522a60b8af..af81061646e2 100644
--- a/dev-python/python-ly/Manifest
+++ b/dev-python/python-ly/Manifest
@@ -1,3 +1,4 @@
+DIST python-ly-0.9.10.gh.tar.gz 269300 BLAKE2B d00743f4e16742252fd6f9c15983f92c0202248745784c240db7cbe9121a0f40d59cf485fc5fbc3880f9e196ce6c86827ae988a85ef28a6a9d429c25b989fe2c SHA512 91921aedf787d7362059f1eee983259f2bd27b52453112eb43083fc765367f9eec33cd00d558d9cce020708f3b29293e1d0cea4a7cacbfde89de0fa0781f517c
DIST python-ly-0.9.9.gh.tar.gz 252206 BLAKE2B 72fbeebf69f875a20a748c03a8a8be5ccfc200a6d2e2e1cb735bfa07ce5ce59485f068bc6a020ce49e54a9c7b16e6552bcbda04937bcde3e65442673c7caa890 SHA512 9a5246c6668515ff9294ad39873614561fc86058dd17e659f4a11abc25980f84286b2981a9206b2fda528ef0f3b676e83257352a7d76d04af917eccb76dcd727
DIST xlink.xsd 9386 BLAKE2B fa4117e867a40b8c12d4ad3bcccd64db53d3e76775f61060af35e21e73e50555b4f713d6b3a8a300caece483aaf5c661c9e4d71ece2d1dd859ba7b24d0e2a308 SHA512 59d43d587652cdbd9190fc33c715bfeba0748b54200921a4a6e8becb109427366919c2b77c3bd461b4890982e386033048212d0a5d2f04efcc1e27cc9ef80da9
DIST xml.xsd 4726 BLAKE2B cca0062a0a812d5bae01f5f2d5fa111ac0d0641f8d6353e93fc704e1878082a6e52ad3d5a70fc7dff86736691ba252829a334b91758d0ab51a3901ecd1da988c SHA512 a716c93db1bbbcf9c353ff939f15aa1ed83c8d96739bafad93c790a7779c49c680a279c97c760fe55546fa43cab1d43e92431f24c46ff001976e05329231b635
diff --git a/dev-python/python-ly/python-ly-0.9.10.ebuild b/dev-python/python-ly/python-ly-0.9.10.ebuild
new file mode 100644
index 000000000000..2cdff3473f74
--- /dev/null
+++ b/dev-python/python-ly/python-ly-0.9.10.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool and library for manipulating LilyPond files"
+HOMEPAGE="
+ https://github.com/frescobaldi/python-ly/
+ https://pypi.org/project/python-ly/
+"
+SRC_URI="
+ https://github.com/frescobaldi/python-ly/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+# https://github.com/frescobaldi/python-ly/issues/176
+SRC_URI+="
+ test? (
+ https://www.w3.org/2001/03/xml.xsd
+ https://www.w3.org/XML/2008/06/xlink.xsd
+ )
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_test() {
+ # https://github.com/frescobaldi/python-ly/issues/176
+ sed -e 's:\(schemaLocation="\).*/\([a-z]*\.xsd"\):\1\2:' \
+ -i tests/musicxml.xsd || die
+ cp "${DISTDIR}"/{xml,xlink}.xsd tests/ || die
+
+ distutils-r1_src_test
+}